platform :ios, '12.0'
use_frameworks!

# workaround to avoid Xcode caching of Pods that requires
# Product -> Clean Build Folder after new Cordova plugins installed
# Requires CocoaPods 1.6 or newer
install! 'cocoapods', :disable_input_output_paths => true

def capacitor_pods
  pod 'Capacitor', :path => '../../node_modules/@capacitor/ios'
  pod 'CapacitorCordova', :path => '../../node_modules/@capacitor/ios'
  pod 'CapacitorApp', :path => '..\..\node_modules\@capacitor\app'
  pod 'CapacitorHaptics', :path => '..\..\node_modules\@capacitor\haptics'
  pod 'CapacitorKeyboard', :path => '..\..\node_modules\@capacitor\keyboard'
  pod 'CapacitorStatusBar', :path => '..\..\node_modules\@capacitor\status-bar'
  pod 'CapacitorStorage', :path => '..\..\node_modules\@capacitor\storage'
  pod 'CapacitorNativeBiometric', :path => '..\..\node_modules\capacitor-native-biometric'
  pod 'CordovaPlugins', :path => '../capacitor-cordova-ios-plugins'
end

target 'App' do
  capacitor_pods
  # Add your Pods here
end
